=begin
= Discrete Hankel Transforms

== Class Methods

--- GSL::Dht.new(size)
--- GSL::Dht.new(size, nu, xmax)
--- GSL::Dht.alloc(size)
--- GSL::Dht.alloc(size, nu, xmax)
    These methods allocate a Discrete Hankel transform object (({GSL::Dht})) 
    of size ((|size|)).
    If three arguments are given, the object is initialized with the values of
    ((|nu, xmax|)).

== Methods
--- GSL::Dht#init(nu, xmax)
    This initializes the transform ((|self|)) for the given values of ((|nu|)) and ((|xmax|)).
--- GSL::Dht#apply(vin, vout)
--- GSL::Dht#apply(vin)
    This applies the transform ((|self|)) to the vector ((|vin|)) whose size is 
    equal to the size of the transform.

--- GSL::Dht#x_sample(n)
    This method returns the value of the n'th sample point in the unit interval, 
    (j_{nu,n+1}/j_{nu,M}) X. These are the points where the function f(t) is 
    assumed to be sampled.

--- GSL::Dht#k_sample(n)
    This method returns the value of the n'th sample point in "k-space", 
    j_{nu,n+1}/X.

((<back|URL:index.html>))
=end
