=begin
= Ruby/GSL

== Description
((<RubyGSL|URL:http://rubyforge.org/projects/rb-gsl/>)) is a ruby interface to the ((<GSL|URL:http://www.gnu.org/software/gsl/>)) (GNU Scientific Library), for numerical computing with ((<Ruby|URL:http://www.ruby-lang.org/en/>)). 

Ruby/GSL is developed with Ruby 1.8.2 and GSL 1.5 on ((<MacOS X|URL:http://www.apple.com/macosx/overview/>)) 10.3.4 (Darwin 7.4.0).
This also runs under Linux, and ((<Cygwin|URL:http://cygwin.com/>)).

== Installation
   (1) Get and install ((<GSL|URL:http://www.gnu.org/software/gsl/#downloading>))
   (2) ((<Download|URL:http://rubyforge.org/frs/?group_id=285>)) Ruby/GSL, ungzip and untar the archive (({rb-gsl-xxx.tar.gz})). 
   (3) ((%cd rb-gsl-xxx/%))
   (4) Make sure the command "gsl-config" is in command search path.
   (5) ((%ruby setup.rb config%))

       If you have the NArray extension, the following may be useful,
        
         % ruby setup.rb config -- --with-narray-include=<directory where 'narray.h' exsists>

   (6) ((%ruby setup.rb setup%))
   (7) ((%ruby setup.rb install%)) (as root)

== ((<Screenshot|URL:screenshot.html>))

== Reference
(See ((<GSL reference manual|URL:http://www.gnu.org/software/gsl/manual/gsl-ref_toc.html>)), to confirm correspondence of GSL structs and functions with Ruby/GSL classes and methods.)

  (1) ((<Introduction|URL:intro.html>))
  (2) ((<Using the library|URL:use.html>))
  (3) ((<Error Handling|URL:ehandling.html>))
  (4) ((<Mathematical Functions|URL:math.html>))
  (5) ((<Complex Numbers|URL:complex.html>))
  (6) ((<Polynomials|URL:poly.html>))
  (7) ((<Special Functions|URL:sf.html>))
  (8) ((<Vectors|URL:vector.html>)) and ((<Matrices|URL:matrix.html>))
  (9) ((<Permutations|URL:perm.html>))
  (10) ((<Combinations|URL:combi.html>))
  (11) ((<Sorting|URL:sort.html>))
  (12) ((<BLAS Support|URL:blas.html>))
  (13) ((<Linear Algebra|URL:linalg.html>))
  (14) ((<Eigen Systems|URL:eigen.html>))
  (15) ((<Fast Fourier Transform|URL:fft.html>))
  (16) ((<Numerical Integration|URL:integration.html>))
  (17) ((<Random Numbers|URL:rng.html>))
  (18) ((<Quasi-Random Sequences|URL:qrng.html>))
  (19) ((<Random Number Distributions|URL:randist.html>))
  (20) ((<Statistics|URL:stats.html>))
  (21) ((<1d-Histograms|URL:hist.html>)) and ((<2d-Histograms|URL:hist2d.html>))
  (22) ((<N-tuples|URL:ntuple.html>))
  (23) ((<Monte-Carlo Integration|URL:monte.html>))
  (24) ((<Simulated Annealing|URL:siman.html>))
  (25) ((<Ordinary Differential Equations|URL:odeiv.html>))
  (26) ((<Interpolation|URL:interp.html>))
  (27) ((<Numerical Differentiation|URL:diff.html>))
  (28) ((<Chebyshev Approximations|URL:cheb.html>))
  (29) ((<Series Acceleration|URL:sum.html>))
  (30) ((<Discrete Hankel Transforms|URL:dht.html>))
  (31) ((<One dimensional Root-Finding|URL:roots.html>))
  (32) ((<One dimensional Minimization|URL:min.html>))
  (33) ((<Multidimensional Root-Finding|URL:multiroot.html>))
  (34) ((<Multidimensional Minimization|URL:multimin.html>))
  (35) ((<Least-Squares Fitting|URL:fit.html>))
  (36) ((<Nonlinear Least-Squares Fitting|URL:nonlinearfit.html>))
  (37) ((<Physical Constants|URL:const.html>))

== Related Project
There is another similar project, ruby-gsl, which is 
independently developed by Arno Erpenbeck. You can find more information at
((<ruby-gsl.sourceforge.net|URL:http://ruby-gsl.sourceforge.net/>)).

== Licence
Ruby/GSL is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License.
This library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY.

== Bug Report
Any bug reports are welcome.
If you encounter bugs in Ruby/GSL, please e-mail to me, or
submit reports from ((<RubyForge page|URL:http://rubyforge.org/projects/rb-gsl/>)).

== Author
Yoshiki Tsunesada

Jul/2004

=end
