=begin
= Quasi-Random Sequences: GSL::QRng class

== Class Methods

--- GSL::QRng.new(T, d)
--- GSL::QRng.alloc(T, d)
    This returns a GSL::QRng object, a quasi-random sequence generator of type ((|T|)) and dimension ((|d|)). 

== Methods
--- GSL::QRng::init()
    This reinitializes the generator to its starting point. 

--- GSL::QRng::get(x)
    This calculate the next point ((|x|)) from the sequence generator. Here ((|x|)) is an instance of the ((<GSL::Vector|URL:vector.html>)) class. The space available for ((|x|)) must match the dimension of the generator. The point ((|x|)) will lie in the range 0 < x_i < 1 for each x_i. 

    This is used as
      q = GSL::QRng.new(QRng::SOBOL, dim)
      v = GSL::Vector.new(dim)
      for i in 0..1024 do
        q.get(v)
        printf("%.5f %.5f\n", v[0], v[1])
      end

--- GSL::QRng::get()
    This is used as
      q = GSL::QRng.new(QRng::SOBOL, dim)
      for i in 0..1024 do
        v = q.get()
        printf("%.5f %.5f\n", v[0], v[1])
      end

--- GSL::QRng::name()
--- GSL::QRng::size()
--- GSL::QRng::clone()




=end
