#set terminal postscript eps enhanced color 
#set output 'gauss.eps'
set multiplot
set size 0.5, 0.5
set origin 0, 0.5
set xlabel 'x'
set label 1 'Gaussian' at first -3.5, 2500
plot 'gauss.hist' u 1:3 title 'Re' w steps lw 2, exp(-x*x/2)*320 lw 2
unset label 1

set origin 0.5, 0.5
set xlabel 'x'
set xrange [0:5]
set label 2 '1dof {/Symbol x}^2' at first 1, 12000
plot 'gauss2.hist' u 1:3 title 'Re' w steps lw 2, exp(-x/2)/sqrt(x)*250 lw 2
unset label 2

set origin 0, 0
set xlabel 'x^2'
set xrange [0:10]
set label 3 '2-Gaussian' at first 2, 3500
plot 'gauss2d.hist' u 1:3 title 'Power' w steps lw 2, exp(-x/2)*500 lw 2
unset label 3

set origin 0.5, 0
set xlabel '|x|'
set xrange [0:4]
set label 4 '2-Gaussian abs (Rayleigh)' at first 0.5, 1500
plot 'rayleigh.hist' u 1:3 title 'Amp' w steps lw 2, x*exp(-x*x/2)*400 lw 2
unset label 4
