#!/usr/bin/env ruby
require("gsl")

n = 10
x = Vector.new(n)
y = Vector.new(n)
for i in 0...n do
  a = i.to_f
  x[i] = i + 0.5*Math::sin(a)
  y[i] = i + Math::cos(a*a)
end

interp = Interp.new("akima", n)
#p interp.class
#p interp.name

interp.init(x, y)

xi = x[0]
while xi < x[9]
  yi = interp.eval(x, y, xi)
  printf("%e %e\n", xi, yi)
  xi += 0.01
end

