#!/usr/bin/env ruby
require("gsl")
include Math

# Expected: x0 ~ 0.57983, x1 ~ 2.54621
equation = Proc.new { |x, f|
  x0 = x[0]
  x1 = x[1]
  f[0] = -2.0*x0*x0 + 3.0*x0*x1 + 4.0*sin(x1) - 6.0
  f[1] = 3.0*x0*x0 - 2.0*x0*x1*x1 + 3.0*cos(x0) + 4.0
}

f = MultiRoot::Function.new(equation, 2)

#fsolver = MultiRoot::FSolver.new("dnewton", 2)
fsolver = MultiRoot::FSolver.new("broyden", 2)

x = Vector.new([1.0, 2.0])
fsolver.set(f, x)

ans = fsolver.solve()
#ans = MultiRoot::FSolver.solve(fsolver)

x0 = ans[0]
x1 = ans[1]
printf("%f %f\n", x0, x1)
